import 'package:flutter/material.dart';

class CustomTextCrossField extends StatelessWidget {
  final String? label;
  final color;
  final TextAlign? align;
  final double? textSize;
  final FontWeight? fontWeight;
  final int? maxLine;

  CustomTextCrossField(
      {this.label, this.color, this.align, this.maxLine = 2, this.textSize, this.fontWeight});

  @override
  Widget build(BuildContext context) {
    if (label != null && label != "") {
      return Text(label ?? "null",
          textAlign: align,
          maxLines: maxLine,
          style: TextStyle(
              fontSize: textSize,
              color: color,
              fontWeight: fontWeight ?? FontWeight.bold,
              decoration: TextDecoration.lineThrough));
    } else {
      return Container();
    }
  }
}