import 'package:flutter/material.dart';
import 'colors.dart';

class Gradients {
  static const LinearGradient buttonGradient = LinearGradient(
    begin: Alignment.centerLeft,
    end: Alignment.centerRight,
    colors: [
      SharingColors.green,
      SharingColors.greenShade1,
    ],
  );

  static const LinearGradient curvesGradient1 = LinearGradient(
    colors: [
      SharingColors.orange,
      SharingColors.orangeShade1,
      SharingColors.deepOrange,
    ],
  );

  static const LinearGradient curvesGradient2 = LinearGradient(
    colors: [
      SharingColors.seaBlue3,
      SharingColors.seaBlue2,
      SharingColors.seaBlue1,
    ],
  );

  static const LinearGradient curvesGradient3 = LinearGradient(
    begin: Alignment.topLeft,
    end: Alignment.bottomRight,
    colors: [
      Color(0xFF88CEBC),
      Color(0xFF69C7C6),
    ],
  );

  static const Gradient headerOverlayGradient = LinearGradient(
    begin: Alignment(0.51436, 1.07565),
    end: Alignment(0.51436, -0.03208),
    stops: [
      0,
      0.17571,
      1,
    ],
    colors: [
      Color.fromARGB(255, 0, 0, 0),
      Color.fromARGB(255, 8, 8, 8),
      Color.fromARGB(105, 45, 45, 45),
    ],
  );
}
